Bug Hunting Session
Bug 91673 - BASE Crash in queries - new query in design mode
Summary: BASE Crash in queries - new query in design mode
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-27 17:26 UTC by raal
Modified: 2016-10-25 19:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
printscreen (34.20 KB, image/png)
2015-05-27 17:26 UTC, raal
Details
Linux 5.1 master backtrace (5.73 KB, text/plain)
2015-05-28 11:05 UTC, Matthew Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2015-05-27 17:26:58 UTC
Created attachment 116078 [details]
printscreen

Base
new file
queries -  new query in design mode
Close dialog "Add table .."
Click on header of table, see printscreen
Crash

Version: 5.1.0.0.alpha1+
Build ID: b9630867d17c01ec41f6461b1e96288f3932248c
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-25_00:46:48
Comment 1 Matthew Francis 2015-05-28 11:05:18 UTC
Created attachment 116102 [details]
Linux 5.1 master backtrace
Comment 2 Matthew Francis 2015-05-28 11:05:54 UTC
Confirmed on Linux 5.1 master

-> NEW
Comment 3 Commit Notification 2015-05-28 13:34:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c609d7a1ccee5044d8d64f07b59407dfb316324

Resolves: tdf#91673 wrong bit mask for BrowserMode

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-05-28 13:35:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc755ad11687947cbb52ab7624503a8abefbe259&h=libreoffice-5-0

Resolves: tdf#91673 wrong bit mask for BrowserMode

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 raal 2015-05-29 18:35:42 UTC
Verified with Version: 5.1.0.0.alpha1+
Build ID: ef2e135cfb8f107a154aaab9b54f2dfca0edf6a0
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-28_23:58:34

thanks for fix!